Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 2697313004: Android: Cache android studio project entries (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by Peter Wen
Modified:
2 months, 1 week ago
Reviewers:
agrieve
CC:
chromium-reviews, mikecase+watch_chromium.org, jbudorick+watch_chromium.org, agrieve+watch_chromium.org, sakal-chromium, dgn
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Android: Cache android studio project entries - Add entry.AllEntries() in preparation for iterating through deps. - Caching _ProjectEntry objects to avoid duplicate computation. - Dedup template variables between androidTest and main. - Minor clean-up. BUG=620034 Review-Url: https://codereview.chromium.org/2697313004 Cr-Commit-Position: refs/heads/master@{#451352} Committed: https://chromium.googlesource.com/chromium/src/+/8281f251376f2a21ad28737f5c7416f10c276d6f

Patch Set 1 #

Patch Set 2 : Rebase and avoid error logs #

Total comments: 14

Patch Set 3 : Remove dup add docs #

Messages

Total messages: 10 (5 generated)
Peter Wen
Hi Andrew, PTAL. This gets us ready to add a flag to enable single module ...
2 months, 1 week ago (2017-02-16 18:08:48 UTC) #2
agrieve
just nits. lgtm https://codereview.chromium.org/2697313004/diff/20001/build/android/gradle/generate_gradle.py File build/android/gradle/generate_gradle.py (right): https://codereview.chromium.org/2697313004/diff/20001/build/android/gradle/generate_gradle.py#newcode120 build/android/gradle/generate_gradle.py:120: def _Dedup(entries): nit: this doesn't save ...
2 months, 1 week ago (2017-02-17 03:07:01 UTC) #3
Peter Wen
Thanks for the review! https://codereview.chromium.org/2697313004/diff/20001/build/android/gradle/generate_gradle.py File build/android/gradle/generate_gradle.py (right): https://codereview.chromium.org/2697313004/diff/20001/build/android/gradle/generate_gradle.py#newcode120 build/android/gradle/generate_gradle.py:120: def _Dedup(entries): On 2017/02/17 03:07:01, ...
2 months, 1 week ago (2017-02-17 16:37:26 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2697313004/40001
2 months, 1 week ago (2017-02-17 16:38:06 UTC) #7
commit-bot: I haz the power
2 months, 1 week ago (2017-02-17 19:22:19 UTC) #10
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/8281f251376f2a21ad28737f5c74...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46